summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorDavid Zeuthen <davidz@redhat.com>2008-11-06 10:45:31 -0500
committerDavid Zeuthen <davidz@redhat.com>2008-11-06 10:45:31 -0500
commit7c565ab16c9bcbb8d6ea058d46af20a3fc919452 (patch)
treea19a3bba7c9bdcfb1bd6e9a4b7ef5eb03b074889 /autogen.sh
parentaa1660ad22141b4db12f054233f0fae976a948e9 (diff)
downloadpolkit-7c565ab16c9bcbb8d6ea058d46af20a3fc919452.tar.gz
fix up autogen.sh
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 362cc32..4d25597 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,8 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+touch ChangeLog
+
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
@@ -29,6 +31,14 @@ DIE=0
}
}
+(gtkdocize --flavour no-tmpl) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have gtk-doc installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution,"
+ echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
+ DIE=1
+}
+
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have automake installed."